Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# pgpDig_s Struct Reference

`#include <rpmpgp.h>`

## Data Fields
pgpDigParams_s | signature
pgpDigParams_s | pubkey
size_t | nbytes
DIGEST_CTX | sha1ctx
void * | sha1
size_t | sha1len
DIGEST_CTX | md5ctx
void * | md5
size_t | md5len
mp32barrett | p
mp32barrett | q
mp32number | g
mp32number | y
mp32number | hm
mp32number | r
mp32number | s
rsapk | rsa_pk
mp32number | m
mp32number | c
mp32number | rsahm

## Field Documentation

mp32number pgpDig_s::c

| Definition at line 1001 of file rpmpgp.h. Referenced by pgpPrtSigParams().

mp32number pgpDig_s::g

| Definition at line 992 of file rpmpgp.h. Referenced by pgpPrtPubkeyParams().

mp32number pgpDig_s::hm

| Definition at line 994 of file rpmpgp.h.

mp32number pgpDig_s::m

| Definition at line 1000 of file rpmpgp.h.

void* pgpDig_s::md5

| (rsa) V3 signature hash. Definition at line 986 of file rpmpgp.h.

DIGEST_CTX pgpDig_s::md5ctx

| (rsa) md5 hash context. Definition at line 985 of file rpmpgp.h.

size_t pgpDig_s::md5len

| (rsa) V3 signature hash length. Definition at line 987 of file rpmpgp.h.

size_t pgpDig_s::nbytes

| No. bytes of plain text. Definition at line 979 of file rpmpgp.h.

mp32barrett pgpDig_s::p

| Definition at line 990 of file rpmpgp.h. Referenced by pgpPrtPubkeyParams().

struct pgpDigParams_s pgpDig_s::pubkey

| Definition at line 977 of file rpmpgp.h. Referenced by pgpPrtPkts().

mp32barrett pgpDig_s::q

| Definition at line 991 of file rpmpgp.h. Referenced by pgpPrtPubkeyParams().

mp32number pgpDig_s::r

| Definition at line 995 of file rpmpgp.h. Referenced by pgpPrtSigParams().

rsapk pgpDig_s::rsa_pk

| Definition at line 999 of file rpmpgp.h. Referenced by pgpPrtPubkeyParams().

mp32number pgpDig_s::rsahm

| Definition at line 1002 of file rpmpgp.h.

mp32number pgpDig_s::s

| Definition at line 996 of file rpmpgp.h. Referenced by pgpPrtSigParams().

void* pgpDig_s::sha1

| (dsa) V3 signature hash. Definition at line 982 of file rpmpgp.h.

DIGEST_CTX pgpDig_s::sha1ctx

| (dsa) sha1 hash context. Definition at line 981 of file rpmpgp.h.

size_t pgpDig_s::sha1len

| (dsa) V3 signature hash length. Definition at line 983 of file rpmpgp.h.

struct pgpDigParams_s pgpDig_s::signature

| Definition at line 976 of file rpmpgp.h. Referenced by pgpFreeDig(), and pgpPrtPkts().

mp32number pgpDig_s::y

| Definition at line 993 of file rpmpgp.h. Referenced by pgpPrtPubkeyParams().

The documentation for this struct was generated from the following file:

- rpmio/rpmpgp.h